(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15609,        522]
NotebookOptionsPosition[     13389,        443]
NotebookOutlinePosition[     13832,        460]
CellTagsIndexPosition[     13789,        457]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"c", "=", "4186"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"m", "*", "c", "*", "1"}], "\[Equal]", 
    RowBox[{"m", "*", "h", "*", "9.81"}]}], ",", "h"}], "]"}]}], "Input",
 CellChangeTimes->{{3.449306827671875*^9, 3.449306859046875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"h", "\[Rule]", "426.70744138634046`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.449306855546875*^9, 3.4493068596875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"msteckou", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T1", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T2", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vykon", "=", 
   RowBox[{"msteckou", "*", "c", "*", 
    RowBox[{"(", 
     RowBox[{"T2", "-", "T1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<vykon= \>\"", ",", 
   FractionBox["vykon", "1000"], ",", "\"\< kW\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<proud jedne faze= \>\"", ",", 
   FractionBox["vykon", 
    RowBox[{"3", "*", "230"}]], ",", "\"\< A\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.449307228375*^9, 3.4493073188125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"vykon= \"\>", "\[InvisibleSpace]", "62.79`", 
   "\[InvisibleSpace]", "\<\" kW\"\>"}],
  SequenceForm["vykon= ", 62.79, " kW"],
  Editable->False]], "Print",
 CellChangeTimes->{3.449307279578125*^9, 3.44930731959375*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"proud jedne faze= \"\>", "\[InvisibleSpace]", "91.`", 
   "\[InvisibleSpace]", "\<\" A\"\>"}],
  SequenceForm["proud jedne faze= ", 91., " A"],
  Editable->False]], "Print",
 CellChangeTimes->{3.449307279578125*^9, 3.44930731959375*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"spalneteplo", "=", 
   RowBox[{"42.5", "*", 
    SuperscriptBox["10", "6"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"msteckouPaliva", "*", "spalneteplo"}], "\[Equal]", "vykon"}], "//",
   "Solve"}]}], "Input",
 CellChangeTimes->{{3.44930760171875*^9, 3.449307634984375*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"msteckouPaliva", "\[Rule]", "0.0014774117647058823`"}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.449307635625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ikratt", "=", 
   RowBox[{"2.5", "*", "3600"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"napeti", "=", "2.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"napeti", "*", "ikratt"}], "\[Equal]", 
   RowBox[{"m", "*", "c", "*", 
    RowBox[{"(", 
     RowBox[{"100", "-", "10"}], ")"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.449307787484375*^9, 3.449307845078125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"m", "\[Rule]", "0.05733397037744864`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.44930784628125*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{
   RowBox[{"General", "::", "\"\<newpkg\>\""}], ",", 
   RowBox[{"General", "::", "\"\<obspkg\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{{3.449315160015625*^9, 3.449315163609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "Calculus`VectorAnalysis`"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"<<", "Miscellaneous`PhysicalConstants`"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cFe", "=", "452"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"m", "*", "c", "*", 
      RowBox[{"(", 
       RowBox[{"100", "-", "10"}], ")"}]}], "\[Equal]", 
     RowBox[{"m", "*", "cFe", "*", 
      RowBox[{"(", 
       RowBox[{"Tx", "-", "10"}], ")"}]}]}], ",", "Tx"}], "]"}], "//", 
  "N"}]}], "Input",
 CellChangeTimes->{{3.449308021765625*^9, 3.44930806021875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"Tx", "\[Rule]", "843.4955752212389`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.449308056765625*^9, 3.449308060921875*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"Cartesian", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.449310264546875*^9, 3.449310275390625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"T1", ",", "T2"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"T", "''"}], "[", "x", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{"T", "[", "0", "]"}], "\[Equal]", "T1"}], ",", 
      RowBox[{
       RowBox[{"T", "[", "d", "]"}], "\[Equal]", "T2"}]}], "}"}], ",", 
    RowBox[{"T", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"q", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Lambda]"}], "*", 
    RowBox[{"Grad", "[", 
     RowBox[{
      RowBox[{"T", "[", "x", "]"}], "/.", "%"}], "]"}]}], "//", 
   "Simplify"}]}]}], "Input",
 CellChangeTimes->{{3.44930963003125*^9, 3.44930963925*^9}, {
  3.449309731328125*^9, 3.449309767125*^9}, {3.4493102515625*^9, 
  3.449310326265625*^9}, {3.449310391203125*^9, 3.449310392046875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"T", "[", "x", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{
     RowBox[{"d", " ", "T1"}], "-", 
     RowBox[{"T1", " ", "x"}], "+", 
     RowBox[{"T2", " ", "x"}]}], "d"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.449309794359375*^9, 3.449310253359375*^9, {3.449310287578125*^9, 
   3.44931029490625*^9}, 3.449310327265625*^9, 3.449310392734375*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"T1", "-", "T2"}], ")"}], " ", "\[Lambda]"}], "d"], ",", "0", 
   ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.449309794359375*^9, 3.449310253359375*^9, {3.449310287578125*^9, 
   3.44931029490625*^9}, 3.449310327265625*^9, 3.449310392734375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"q", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"T1", "\[Rule]", "15"}], ",", 
     RowBox[{"T2", "\[Rule]", 
      RowBox[{"-", "5"}]}], ",", 
     RowBox[{"d", "\[Rule]", "0.45"}], ",", 
     RowBox[{"\[Lambda]", "\[Rule]", ".8"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<jednim metrem ctverecnim utika \>\"", ",", "%", ",", "\"\< W\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.44931039603125*^9, 3.44931041628125*^9}, {
   3.449310463890625*^9, 3.449310494640625*^9}, 3.44931105925*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"jednim metrem ctverecnim utika \"\>", "\[InvisibleSpace]", 
   "35.55555555555556`", "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["jednim metrem ctverecnim utika ", 35.55555555555556, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.449310488203125*^9, 3.449310494890625*^9}, 
   3.449311059875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rth1", "=", 
   FractionBox["0.45", 
    RowBox[{"0.8", "*", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rth2", "=", 
   FractionBox["0.04", 
    RowBox[{"0.04", "*", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tokpred", "=", 
   FractionBox["\[CapitalDelta]T", "Rth1"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tokpo", "=", 
   FractionBox["\[CapitalDelta]T", 
    RowBox[{"Rth1", "+", "Rth2"}]]}], ";"}], "\[IndentingNewLine]", 
 FractionBox["tokpo", "tokpred"], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.44931069296875*^9, 3.449310721640625*^9}, {
  3.449310938234375*^9, 3.4493109834375*^9}}],

Cell[BoxData["0.36`"], "Output",
 CellChangeTimes->{3.449310984203125*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"<<", "Calculus`VectorAnalysis`"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"Cartesian", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.449315185859375*^9, 3.449315196203125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Laplacian", "[", 
  RowBox[{"T", "[", "x", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.44931524696875*^9, 3.449315283453125*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["T", "\[Prime]\[Prime]",
   MultilineFunction->None], "[", "x", "]"}]], "Output",
 CellChangeTimes->{{3.449315257390625*^9, 3.449315284140625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"T1", ",", "T2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"T", "''"}], "[", "x", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{"T", "[", "0", "]"}], "\[Equal]", "T1"}], ",", 
      RowBox[{
       RowBox[{"T", "[", "d", "]"}], "\[Equal]", "T2"}]}], "}"}], ",", 
    RowBox[{"T", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"-", "\[Lambda]"}], "*", 
   RowBox[{"Grad", "[", 
    RowBox[{
     RowBox[{"T", "[", "x", "]"}], "/.", "%"}], "]"}]}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{"tok", "=", 
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.44931532146875*^9, 3.449315324296875*^9}, {
  3.449315361796875*^9, 3.449315373796875*^9}, {3.44931547790625*^9, 
  3.449315505734375*^9}, {3.44931614478125*^9, 3.449316166609375*^9}, {
  3.44931627728125*^9, 3.449316280453125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"T", "[", "x", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{
     RowBox[{"d", " ", "T1"}], "-", 
     RowBox[{"T1", " ", "x"}], "+", 
     RowBox[{"T2", " ", "x"}]}], "d"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.449315374828125*^9, {3.449315501671875*^9, 3.449315506171875*^9}, {
   3.449316153421875*^9, 3.44931616684375*^9}, 3.449316281*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"T1", "-", "T2"}], ")"}], " ", "\[Lambda]"}], "d"], ",", "0", 
   ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.449315374828125*^9, {3.449315501671875*^9, 3.449315506171875*^9}, {
   3.449316153421875*^9, 3.44931616684375*^9}, 3.449316281015625*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"T1", "-", "T2"}], ")"}], " ", "\[Lambda]"}], "d"]], "Output",
 CellChangeTimes->{
  3.449315374828125*^9, {3.449315501671875*^9, 3.449315506171875*^9}, {
   3.449316153421875*^9, 3.44931616684375*^9}, 3.449316281015625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tok", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"T1", "\[Rule]", "15"}], ",", 
    RowBox[{"T2", "\[Rule]", 
     RowBox[{"-", "5"}]}], ",", 
    RowBox[{"\[Lambda]", "\[Rule]", "0.8"}], ",", 
    RowBox[{"d", "\[Rule]", "0.45"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.449316522984375*^9, 3.449316561453125*^9}}],

Cell[BoxData["35.55555555555556`"], "Output",
 CellChangeTimes->{3.449316561796875*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"<<", "Miscellaneous`PhysicalConstants`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Miscellaneous`ChemicalElements`"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ThermalConductivity", "[", "Copper", "]"}]], "Input",
 CellChangeTimes->{{3.4493160426875*^9, 3.44931606234375*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"401.`", " ", "Watt"}], 
  RowBox[{"Kelvin", " ", "Meter"}]]], "Output",
 CellChangeTimes->{{3.449316049984375*^9, 3.449316062625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rth1", "=", 
   FractionBox["0.45", 
    RowBox[{"0.8", "*", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rth2", "=", 
   FractionBox["0.1", 
    RowBox[{"0.04", "*", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tokpred", "=", 
   FractionBox["\[CapitalDelta]T", "Rth1"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tokpo", "=", 
   FractionBox["\[CapitalDelta]T", 
    RowBox[{"Rth1", "+", "Rth2"}]]}], ";"}], "\[IndentingNewLine]", 
 FractionBox["tokpo", "tokpred"]}], "Input",
 CellChangeTimes->{{3.449316640796875*^9, 3.4493167639375*^9}}],

Cell[BoxData["0.18367346938775508`"], "Output",
 CellChangeTimes->{{3.44931673959375*^9, 3.449316766015625*^9}}]
}, Open  ]]
},
WindowSize->{1031, 750},
WindowMargins->{{18, Automatic}, {Automatic, 23}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 2., 2. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 324, 8, 92, "Input"],
Cell[894, 32, 185, 4, 82, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1116, 41, 772, 20, 294, "Input"],
Cell[CellGroupData[{
Cell[1913, 65, 269, 6, 43, "Print"],
Cell[2185, 73, 285, 6, 43, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2519, 85, 337, 9, 95, "Input"],
Cell[2859, 96, 179, 5, 82, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3075, 106, 481, 13, 160, "Input"],
Cell[3559, 121, 163, 4, 82, "Output"]
}, Open  ]],
Cell[3737, 128, 233, 5, 57, "Input"],
Cell[3973, 135, 86, 2, 57, "Input"],
Cell[4062, 139, 76, 1, 57, "Input"],
Cell[CellGroupData[{
Cell[4163, 144, 470, 14, 92, "Input"],
Cell[4636, 160, 187, 4, 82, "Output"]
}, Open  ]],
Cell[4838, 167, 223, 5, 57, "Input"],
Cell[CellGroupData[{
Cell[5086, 176, 1000, 28, 151, "Input"],
Cell[6089, 206, 406, 11, 104, "Output"],
Cell[6498, 219, 357, 10, 104, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6892, 234, 638, 18, 117, "Input"],
Cell[7533, 254, 365, 7, 43, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7935, 266, 695, 18, 426, "Input"],
Cell[8633, 286, 74, 1, 82, "Output"]
}, Open  ]],
Cell[8722, 290, 86, 2, 57, "Input"],
Cell[8811, 294, 223, 5, 57, "Input"],
Cell[CellGroupData[{
Cell[9059, 303, 155, 3, 57, "Input"],
Cell[9217, 308, 188, 4, 82, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9442, 317, 1111, 30, 160, "Input"],
Cell[10556, 349, 402, 11, 104, "Output"],
Cell[10961, 362, 359, 10, 104, "Output"],
Cell[11323, 374, 292, 7, 104, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11652, 386, 346, 9, 57, "Input"],
Cell[12001, 397, 87, 1, 82, "Output"]
}, Open  ]],
Cell[12103, 401, 154, 2, 92, "Input"],
Cell[CellGroupData[{
Cell[12282, 407, 140, 2, 57, "Input"],
Cell[12425, 411, 173, 4, 105, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12635, 420, 623, 17, 363, "Input"],
Cell[13261, 439, 112, 1, 82, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
